CASINH(3)

NAME
casinh, casinhf, casinhl - complex inverse hyperbolic sine

SYNOPSIS
#include <complex.h>
double complex
casinh(double complex z);
float complex
casinhf(float complex z);
long double complex
casinhl(long double complex z);

DESCRIPTION
The casinh(), casinhf() and casinhl() functions compute the complex inverse hyperbolic sine of z.

For all complex floating-point numbers z,

    casinh(z) = -i casin(iz).

RETURN VALUES
The casinh(), casinhf() and casinhl() functions return the complex inverse hyperbolic sine of z with imaginary part in the interval [-Pi/2, Pi/2], and unbounded real part.

SEE ALSO
cacosh(3), catanh(3)

STANDARDS
The casinh(), casinhf() and casinhl() functions conform to isoC-99.